`timescale 1ns/1ps

module led_kurukuru_test();
   parameter real STEP = 10;

   reg 		  CLK, RST;

   initial CLK <= 1;
   always # (STEP/2) CLK <= ~CLK;

   wire [15:0] 	  LED1, LED2;
   
   led_kurukuru 
     kuru1 ( .CLK(CLK), .RST(RST), .LED(LED1) );

   led_kurukuru # ( .CounterBits(2) ) 
     kuru2 ( .CLK(CLK), .RST(RST), .LED(LED2) );

   initial begin
      RST <= 1;

      #(2.1*STEP)
      RST <= 0;
   end
   
endmodule // led_kurukuru_test
