module kurukuru
  ( input wire CLK, RST, 
    output reg [7:0] ANODE );
   parameter CounterBits = 10;

   reg [(CounterBits-1):0] CNT;
   wire 		   STROBE = &CNT;

   always @ (posedge CLK) begin
      if (RST) begin
         CNT <= 0;
         ANODE <= 8'b0111_1111;
      end else begin
         CNT <= CNT+1;
         if (STROBE) 
           ANODE <= {ANODE[0], ANODE[7:1]};
      end
   end
endmodule // led_kurukuru
