module push_counter
  ( input  wire CLK, RST, ADV,
    output wire [7:0] ANODE, CATHODE );

   parameter ColumnCounterBits = 10;
   parameter ButtonFilterCount = 20_000_000;

   button_filter bf 
     ( .CLK(CLK), .RST(RST), .BTN(ADV), .TRIGGER(PLUS) );

   reg [31:0] 	 COUNTER;
   always @ (posedge CLK) begin
      if (RST)  COUNTER <= 0;
      else  
	if (PLUS) COUNTER <= COUNTER + 1;
   end

   
   segment_disp_ctrl # (.ColumnCounterBits(ColumnCounterBits))  sdc
     ( .CLK(CLK), .RST(RST), .VAL(COUNTER), .ANODE(ANODE), .CATHODE(CATHODE) );

endmodule // push_counter
