`timescale 1ns/1ps

module push_counter_test();
   parameter real STEP = 10;
   
   reg CLK, RST, ADV;
   wire [7:0] ANODE, CATHODE;
   
   initial CLK <= 1;
   always #(STEP/2) CLK <= ~CLK;
   
   push_counter # ( .ColumnCounterBits(2), .ButtonFilterCount(10) )
     uut ( CLK, RST, ADV, ANODE, CATHODE );

   initial begin
      RST <= 1;

      #(1.1*STEP) RST <= 0;

      #(10*STEP)  ADV <= 1;
      #(2*STEP)   ADV <= 0;

      #(15*STEP)  ADV <= 1;
      #(2*STEP)   ADV <= 0;
      
      #(5*STEP)   ADV <= 1;
      #(2*STEP)   ADV <= 0;
      

   end
   


endmodule // push_counter_test
